Subject: Re: [REROLL PATCH 6/8] Support remote helpers implementing smart transports

From: Ilari Liusvaara <[email-masked]>
Date: Wed, 9 Dec 2009 17:16:30 +0200

On Tue, Dec 08, 2009 at 03:38:41PM -0800, Junio C Hamano wrote:
> Ilari Liusvaara <[email-masked]> writes:
> >  
> > +'connect' <service>::
> > +	Connects to given service. Stdin and stdout of helper are
> 
> A minor point, but in prose, unless it explains how to use "stdin" and
> "stdout" as a variable, keyword, etc. in code, I'd prefer to see these
> spelled out, like so:
> 
> 	The standard input and output of helpers are connected to ...

Changed.

> > -static int recvline(struct helper_data *helper, struct strbuf *buffer)
> > +static int _recvline(FILE *helper, struct strbuf *buffer)
> >  {
> 
> recvline_fh() vs revline() might be better as most of the interaction in
> this layer are done on helper_data, which makes the name recvline() pair
> nicely with sendline that also takes helper_data; and the oddball one that
> is _not_ an implementation detail (i.e. you have calls outside recvline()
> implementation that call _recvline()) hints that it takes filehandle
> instead.

- _recvline -> recvline_fh
- _process_connect -> process_connect_service

-Ilari